cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_note(
"ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderNote('ORD-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderNote('ORD-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderNoteView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderNoteView> response = client.orders().getOrderNote("ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderNoteAsync(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderNote(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderNote(context.Background(), "ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Orders
Retrieve an order note
Returns one note on an order, under note.
GET
/
orders
/
{order_id}
/
notes
/
{order_note_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_note(
"ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderNote('ORD-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderNote('ORD-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderNoteView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderNoteView> response = client.orders().getOrderNote("ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderNoteAsync(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderNote(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderNote(context.Background(), "ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Pass the order’s
id and the note’s id. The response holds the note’s content and its attachments.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
The note's id, from the create call or the notes listing.
Response
The note, under note.
Show child attributes
Show child attributes